org.hibernate.search.cfg

## Class FieldBridgeMapping

- java.lang.Object
- - org.hibernate.search.cfg.FieldBridgeMapping

-     public class FieldBridgeMapping
      extends Object

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldBridgeMapping(Class<?> impl, Map<String,Object> field, FieldMapping fieldMapping, PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldMapping` | `analyzer(Class<?> analyzerClass)`
    `FieldMapping` | `analyzer(String analyzerDef)`
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `FieldMapping` | `boost(float boost)`
    `EntityMapping` | `entity(Class<?> entityType)`
    `FieldMapping` | `field()`
    `FieldMapping` | `index(Index index)`
    `FieldMapping` | `name(String fieldName)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `FieldBridgeMapping` | `param(String name, String value)`
    `PropertyMapping` | `property(String name, ElementType type)`
    `FieldMapping` | `store(Store store)`
    `FieldMapping` | `termVector(TermVector termVector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldBridgeMapping

          public FieldBridgeMapping(Class<?> impl,
                                    Map<String,Object> field,
                                    FieldMapping fieldMapping,
                                    PropertyDescriptor property,
                                    EntityDescriptor entity,
                                    SearchMapping mapping)

  - ### Method Detail

    - #### param

          public FieldBridgeMapping param(String name,
                                          String value)

    - #### name

          public FieldMapping name(String fieldName)

    - #### store

          public FieldMapping store(Store store)

    - #### index

          public FieldMapping index(Index index)

    - #### termVector

          public FieldMapping termVector(TermVector termVector)

    - #### boost

          public FieldMapping boost(float boost)

    - #### analyzer

          public FieldMapping analyzer(Class<?> analyzerClass)

    - #### analyzer

          public FieldMapping analyzer(String analyzerDef)

    - #### field

          public FieldMapping field()

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved